// SVNProperty.cpp : Implementation of SVNProperty

#include "stdafx.h"
#include "SVNProperty.h"



STDMETHODIMP SVNProperty::get_Name(BSTR* pVal)
{
	if (!pVal)
		return E_POINTER;
	*pVal = name.AllocSysString();
	return S_OK;
}

STDMETHODIMP SVNProperty::put_Name(BSTR newVal)
{
	name = CString(newVal);
	return S_OK;
}

STDMETHODIMP SVNProperty::get_Value(BSTR* pVal)
{
	if (!pVal)
		return E_POINTER;
	*pVal = value.AllocSysString();
	return S_OK;
}

STDMETHODIMP SVNProperty::put_Value(BSTR newVal)
{
	value = CString(newVal);
	return S_OK;
}

STDMETHODIMP SVNProperty::get_IsSVNProperty(VARIANT_BOOL* pVal)
{
	if (!pVal)
		return E_POINTER;

	pool = svn_pool_create (NULL);

	const char *pname_utf8;

	svn_utf_cstring_to_utf8 (&pname_utf8, (LPCTSTR)name, NULL, pool);
	svn_boolean_t is_svn_prop = svn_prop_is_svn_prop (pname_utf8);

	*pVal = is_svn_prop;
	
	svn_pool_destroy (pool);
	return S_OK;
}
